# -*- coding: utf-8 -*-

"""
Module implementing MainWindow.
"""
import sys
from PyQt5.QtCore import pyqtSlot
from PyQt5.QtWidgets import QMainWindow

from .Ui_hauptfenster import Ui_MainWindow

class MainWindow(QMainWindow, Ui_MainWindow):
    """
    Class documentation goes here.
    """
    def __init__(self, parent=None):
        """
        Constructor
        
        @param parent reference to the parent widget
        @type QWidget
        """
        super(MainWindow, self).__init__(parent)
        self.setupUi(self)
    
    @pyqtSlot()
    def on_btnOK_clicked(self):
        self.edtText.setText('Hello World')
        self.statusBar.showMessage('Hello Statusbar.')
    
    @pyqtSlot()
    def on_btnClose_clicked(self):
        sys.exit()
        
    @pyqtSlot()
    def on_actionSchlie_en_triggered(self):
        sys.exit()
